#!/usr/bin/ksh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

piv_dir="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"

cd $piv_dir
./PostInstallValidator_Aix -s -n -o $piv_dir

RC=$?

# PIV return codes: 
# RC=-1: INVALID
# RC=0: OK
# RC=1: WARN
# RC=2: FAIL
# RC=3: ERROR

res_status=error
report_location=$piv_dir"PostInstallationReport.html"

if [ "$RC" = "-1" ]; then
	res_status=invalid
fi

if [ "$RC" = "0" ]; then
	res_status=success
fi

if [ "$RC" = "1" ]; then
	res_status=warn
fi

if [ "$RC" = "2" ]; then
	res_status=fail
fi

if [ "$RC" = "3" ]; then
	res_status=error
fi

echo "result="$res_status",piv_rc="$RC",report="$report_location
exit 0

