#! /bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# -----------------------------------------------------------------------
# Returns the version specified in version.key file of the Common Agent
#
# @return
#	result=success,ca_version=<agent version>
#				In case version file was found and correctly interpreted
#				along with the agent version
#
# ------------------------------------------------------------------------

ca_ver="$(cat /opt/ibm/director/agent/version.key | grep "^version=" | awk '{ {split($0, split_result, "=")} {print split_result[2]} }')"

ca_ver_no_spaces=${ca_ver/ /}

echo "result=success,ca_version=$ca_ver_no_spaces"
