#! /bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# -----------------------------------------------------------------------
# Ping the given IP address using the ping utility
#
# @param
# ipaddress=<IP address>
#
# @return
#	result=fail
#			In case received attribute of ping indicates that no packets 
#			received
#
#	result=success
#			In case received attribute of ping indicates that more then one 
#			packets received
#
# ------------------------------------------------------------------------

ipaddress="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"

ping -c 1 -w 10 $ipaddress >/dev/null 2>&1
RC=$?
if [ "$RC" != "0" ]; then
        echo "result=fail"
        exit 0;
fi

echo "result=success"
exit 0
