#! /bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# -----------------------------------------------------------------------
# Attempts to connect to a given host ip address and port using /dev/tcp
# Note: this will probably won't work on Debian but that Linux
# flavour is not being supported by Director, so we are ok for now.
#
# @param
#	ipaddress=<host ip address>
#	port=<port number>
#
# @return
#	result=fail
#			In case netstat execution failed (either not found or simply
#			failed)
#
#	result=success
#		The evaluation was successfull. port_RC set to successful is
#		port can is being, fail otherwise
#
# ------------------------------------------------------------------------

ipaddress="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"
port="$(echo $2 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"

exec > /dev/null 2>&1 3>/dev/tcp/${ipaddress}/${port}

    if [ $? -eq 0 ]
    then
        echo "result=success"
    else
        echo "result=fail"
    fi

