#! /bin/bash
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# -----------------------------------------------------------------------
# Verifies the health of Agent Manager using Agent Manager HealthCheck 
# command.
#
# @param
#	password=<AM password>
#
# @return
#	result=success
#			Overall operation succeed
#
#	result=fail_auth
#			In case authentication error occurred when executing 
#			HealthCheck command. It seems that in such a case
#			error code of 3 is being returned
#
#	result=fail
#		In case a general error occurred when attempting to verify Agent
#		Manager health.
#
# ------------------------------------------------------------------------

password="$(echo $1 | awk '{ {split($1, split_result, "=")} {print split_result[2]} }')"

#AM status check
/opt/ibm/director/lwi/runtime/agentmanager/toolkit/bin/HealthCheck.sh -toolkitPassword $password > /dev/null 2>&1
RC=$?

if [ "$RC" == "3" ]; then
        echo "result=fail_auth"
        exit 0;
fi

if [ "$RC" != "0" ]; then
        echo "result=fail"
        exit 0;
fi

echo "result=success"
