@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

rem -----------------------------------------------------------------------
rem Reports whether MEPs exists for given IP address
rem
rem @param
rem user=<DS user>
rem password=<DS password>
rem	ipaddress=<ip of mep>
rem
rem @return
rem	result=success
rem			At least one MEP exists in Systems Director
rem
rem	result=notfound
rem			In case no MEP(s) found in Systems Director
rem
rem result=fail_auth
rem		Failed to invoke smcli with DS credentials supplied.
rem
rem	result=fail
rem		In case general error occurred when attempting to check whether the
rem		MEP(s) exists.
rem
rem ------------------------------------------------------------------------

rem ---------------------------------------------------------
rem Seems that '=' performs already as a delimeter between 
rem arguments passed
rem ---------------------------------------------------------

set user=%2
set password=%4
set ipaddress=%6

rem ------------------------------------------------------------------------
rem At first just check that command works (i/o redirect -- we do not
rem want to see its output)
rem -------------------------------------------------------------------------
smcli -user %user% -pw %password% lssys -i %ipaddress% >NUL 2>NUL

if %ERRORLEVEL% equ 20 (
        echo result=notfound
        exit /b 0
)

if %ERRORLEVEL% equ 3 (
        echo result=fail_auth
        exit /b 0
)

if errorlevel 1 (
        echo result=fail
        exit /b 0
)

echo result=success

:FINAL
exit /b 0
