@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

rem -----------------------------------------------------------------------
rem Checks whether a given service is being advertised by SLP on a given 
rem host ip address. The  script looks for slp_query and slp_tool utilities
rem in predefined locations. It first attempt to use slp_query and if not
rem found, slp_tool. If both not found then result=notfound being returned.
rem
rem @param
rem	ipaddress=<host ip>
rem	service=<service name>
rem
rem @return
rem	result=notfound
rem			No SLP query utility found.
rem
rem	result=fail
rem			SLP query could not list the given service
rem
rem	result=success
rem			SLP query successfully list the given service
rem
rem ------------------------------------------------------------------------

set ipaddress=%2
set service=%4

set slp_query=C:\Program Files\Common Files\IBM\icc\slp\bin\slp_query.exe

if not exist "%slp_query%" set slp_query=C:\Program Files (x86)\Common Files\ibm\icc\slp\bin\slp_query.exe

if not exist "%slp_query%" GOTO NOT_FOUND

set slp_query_command="%slp_query%" "--address=%ipaddress%" "--type=%service%"

for /f "tokens=*" %%a in ('call %slp_query_command% ^| find "%service%"') do (
    GOTO SUCCSESS
)

:FAIL

	echo result=fail
	GOTO FINAL
	
:NOT_FOUND

	echo result=notfound
	GOTO FINAL

:SUCCSESS

	echo result=success


:FINAL

	exit /b 0
