@echo off
REM Licensed Materials - Property of IBM
REM
REM (C) Copyright IBM Corp. 2013 All Rights Reserved
REM
REM US Government Users Restricted Rights - Use, duplicate or
REM disclosure restricted by GSA ADP Schedule Contract with
REM IBM Corp.

REM  -----------------------------------------------------------------------
REM  Verifies the health of Agent Manager using Agent Manager HealthCheck 
REM  command.
REM 
REM  @param
REM 	password=<AM password>
REM 
REM  @return
REM 	result=success
REM 			Overall operation succeed
REM 
REM 	result=fail_auth
REM 			In case authentication error occurred when executing 
REM 			HealthCheck command. It seems that in such a case
REM 			error code of 3 is being returned
REM 
REM 	result=fail
REM 		In case a general error occurred when attempting to verify Agent
REM 		Manager health.
REM 
REM  ------------------------------------------------------------------------

Set password=%2

REM AM status check
call "C:\Program Files\IBM\Director\lwi\runtime\agentmanager\toolkit\bin\HealthCheck.bat" -toolkitPassword %password% >NUL 2>NUL

IF %ERRORLEVEL% equ 3 (
        echo result=fail_auth
	exit /b 0
)

if %ERRORLEVEL% neq 0 (
        echo result=fail
	exit /b 0
)


echo result=success
