#!/bin/sh
# Licensed Materials - Property of IBM
#
# (C) Copyright IBM Corp. 2013 All Rights Reserved
#
# US Government Users Restricted Rights - Use, duplicate or
# disclosure restricted by GSA ADP Schedule Contract with
# IBM Corp.

# retrieve script directory
DIR="$( cd "$( dirname "$0" )" && pwd )"
	
# change permissions to smdf executable
chmod +x $DIR"/smdf"

# branch to the right place (depending on # of input arguments)
if [ $# -eq 0 ]; then
	
	# call smdf executable (in GUI mode)
	$DIR"/smdf" $DIR

else

	# call smdf executable (in CLI mode)
	$DIR"/smdf" -consoleLog -noSplash $DIR "$@"

fi

# Exit back to the caller
exit $?
